_requre:
  DataTypes: 1
  key_strategy: StorageKeysInspectSimple
  version_storage_file: 3
nitrate.xmlrpc_driver:
  single_request_with_cookies:
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.convert
      - nitrate.mutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - alias: ''
        arguments: ' '
        attachment: []
        author: psplicha
        author_id: 2117
        case_id: 609926
        case_status: CONFIRMED
        case_status_id: 2
        category: Sanity
        category_id: 518
        component:
        - 59878
        create_date: '2021-03-12 23:11:18'
        default_tester: psplicha
        default_tester_id: 2117
        estimated_time: 00:05:00
        extra_link: ''
        is_automated: 2
        is_automated_proposed: false
        notes: 'Test case has been migrated to git. Any changes made here might be
          overwritten.

          See: https://tmt.readthedocs.io/en/latest/questions.html#nitrate-migration


          [structured-field-start]

          This is StructuredField version 1. Please, edit with care.


          [description]

          Simple smoke test


          [relevancy]

          distro = rhel-4, rhel-5: False # comment

          arch = s390x: PHASES=novalgrind


          [purpose-file]

          Just run ''tmt --help'' to make sure the binary is sane.

          This is really that simple. Nothing more here. Really.


          [structured-field-end]'
        plan:
        - 28164
        priority: P2
        priority_id: 2
        requirement: ''
        reviewer: null
        reviewer_id: null
        script: /tmt/integration
        summary: /tmt/integration
        tag:
        - 10700
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.convert
      - nitrate.mutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - alias: ''
      arguments: ' '
      attachment: []
      author: psplicha
      author_id: 2117
      case_id: 609926
      case_status: CONFIRMED
      case_status_id: 2
      category: Sanity
      category_id: 518
      component:
      - 59878
      create_date: '2021-03-12 23:11:18'
      default_tester: psplicha
      default_tester_id: 2117
      estimated_time: 00:05:00
      extra_link: ''
      is_automated: 2
      is_automated_proposed: false
      notes: 'Test case has been migrated to git. Any changes made here might be overwritten.

        See: https://tmt.readthedocs.io/en/latest/questions.html#nitrate-migration


        [structured-field-start]

        This is StructuredField version 1. Please, edit with care.


        [description]

        Simple smoke test


        [relevancy]

        distro = rhel-4, rhel-5: False # comment

        arch = s390x: PHASES=novalgrind


        [purpose-file]

        Just run ''tmt --help'' to make sure the binary is sane.

        This is really that simple. Nothing more here. Really.


        [structured-field-end]'
      plan:
      - 28164
      priority: P2
      priority_id: 2
      requirement: ''
      reviewer: null
      reviewer_id: null
      script: /tmt/integration
      summary: /tmt/integration
      tag:
      - fmf-export
      text:
        action: '<p>Step one.</p>

          <p>Step two.</p>

          <p>Step three.</p>

          <div id="gtx-trans" style="position: absolute; left: -42px; top: -20.0028px;">&nbsp;</div>'
        action_checksum: 289514898466670e5c39b870d46de8d1
        author: dkarpele
        author_id: 6872
        breakdown: <p>This is a breakdown.</p>
        breakdown_checksum: 679dc09e2c52ed14233ffd8bb287c535
        case: /tmt/integration
        case_id: 609926
        case_text_version: 2
        create_date: '2021-03-14 03:17:44'
        effect: '<p>Expect one.</p>

          <p>Expect two</p>

          <p>Expect three.</p>'
        effect_checksum: c0fa09ab1d294c6ad113c4444b152bf2
        id: 878419
        setup: '<p>Do this and that to setup the environment.</p>

          <div id="gtx-trans" style="position: absolute; left: 26px; top: 8.5625px;">&nbsp;</div>'
        setup_checksum: 3204d675db9fa1a1c424fd2e38b55d13
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.convert
      - nitrate.base
      - nitrate.immutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - date_joined: '2009-12-02 09:40:59'
        email: psplicha@redhat.com
        first_name: Petr
        groups:
        - 1
        - 3
        id: 2117
        is_active: true
        is_staff: true
        is_superuser: false
        last_login: '2022-07-01 19:36:19'
        last_name: "\u0160pl\xEDchal"
        user_permissions: []
        username: psplicha
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.convert
      - nitrate.containers
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - id: 10700
        name: fmf-export
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.convert
      - nitrate.containers
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - attachment: []
        author: psplicha
        author_id: 2117
        case:
        - 603489
        - 608444
        - 608445
        - 609376
        - 609377
        - 609378
        - 609379
        - 609380
        - 609899
        - 609924
        - 609925
        - 609926
        - 609927
        - 609928
        - 610020
        component:
        - 59878
        create_date: '2020-05-15 02:40:40'
        default_product_version: RHEL3
        env_group: []
        extra_link: ''
        is_active: true
        name: tmt / General
        owner: psplicha
        owner_id: 2117
        parent: null
        parent_id: null
        plan_id: 28164
        product: RHEL Tests
        product_id: 182
        product_version: RHEL3
        product_version_id: 386
        tag: []
        type: General
        type_id: 26
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.convert
      - nitrate.base
      - nitrate.immutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - description: General test plan of product
      id: 26
      name: General
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.convert
      - nitrate.containers
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - []
